import { Component, Inject } from '@angular/core';
import { Router } from '@angular/router';

import { LogService } from '@ucap/ng-logger';

import { UCAP_PATH_PARAM } from '@app/types/tokens';

@Component({
  selector: 'app-pages-call-sidenav',
  templateUrl: './sidenav.page.component.html',
  styleUrls: ['./sidenav.page.component.scss']
})
export class SidenavPageComponent {
  constructor(
    @Inject(UCAP_PATH_PARAM) private pathParam: string,
    private logService: LogService
  ) {
    this.logService.info('app-pages-call-sidenav', 'pathParam', this.pathParam);
  }
}
