import { Component, Inject } from '@angular/core';

import { LogService } from '@ucap/ng-logger';

import { UCAP_PATH_PARAM } from '@app/types/tokens';

@Component({
  selector: 'app-pages-group-index',
  templateUrl: './index.page.component.html',
  styleUrls: ['./index.page.component.scss']
})
export class IndexPageComponent {
  constructor(
    @Inject(UCAP_PATH_PARAM) private pathParam: string,
    private logService: LogService
  ) {
    this.logService.info('app-pages-group-index', 'pathParam', this.pathParam);
  }
}
