import { Component, Inject } from '@angular/core';

import { LogService } from '@ucap/ng-logger';

import { UCAP_PATH_PARAM } from '@app/types/tokens';

@Component({
  selector: 'app-pages-group-sidenav',
  templateUrl: './sidenav.page.component.html',
  styleUrls: ['./sidenav.page.component.scss']
})
export class SidenavPageComponent {
  constructor(
    @Inject(UCAP_PATH_PARAM) private pathParam: string,
    private logService: LogService
  ) {
    this.logService.info(
      'app-pages-group-sidenav',
      'pathParam',
      this.pathParam
    );
  }
}
